[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: "Checksum mismatch" following upgrade to 1.2

From: Ben Collins-Sussman <sussman_at_collab.net>
Date: 2005-07-05 18:53:41 CEST

On Jul 5, 2005, at 10:42 AM, Dave Littell wrote:

>
> Isn't this something the Subversion guys said they'd exert every
> effort to keep from happening? The blasted release notes for 1.2
> should have said - "We jacked this one up totally, so dump and
> load, boys, dump and load." Instead, we get "try this - it
> probably won't work and it'll trash your repository, but it's no
> big deal.

Are you referring to the releasenotes that say:

"This is not actually related to the Subversion 1.2 release, but it
may affect you if you upgrade to 1.2 via a package distribution
system. A lot of operating systems now ship Berkeley DB 4.3.
Sometimes the system Berkeley DB libraries can be unintentionally
upgraded to 4.3 as part of some other change pulled down via an OS
package delivery mechanism for example, upgrading one's Subversion
package. If this happens to you, you will need to upgrade existing
BerkeleyDB-based repositories to 4.3."

... and then point to the 4.2->4.3 upgrade instructions?

Where do we ever say it 'probably won't work' or 'it'll trash your
repository'?

We've never had any reports of the 4.2->4.3 upgrade instructions
trashing anything.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@subversion.tigris.org
For additional commands, e-mail: users-help@subversion.tigris.org
Received on Tue Jul 5 19:25:59 2005

This is an archived mail posted to the Subversion Users mailing list.

This site is subject to the Apache Privacy Policy and the Apache Public Forum Archive Policy.